Create resident proxy list
Creates a residential proxy list with optional geo, whitelist, export settings, and rotation.
Path Parameters
apiKey*string
Client API key.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://proxy-seller.com/personal/api/v2/abc123/resident/list/add" \ -H "Content-Type: application/json" \ -d '{ "geo": { "isp": "FIRST-STEP", "city": "Seattle", "region": "Washington", "country": "US" }, "title": "US Washington", "export": { "ext": "txt", "ports": 1000 }, "rotation": 60, "whitelist": "127.0.0.1,192.168.0.1" }'{
"data": {
"id": 561,
"geo": {
"isp": "FIRST-STEP",
"city": "Seattle",
"region": "Washington",
"country": "US"
},
"login": "abc123def",
"title": "US Washington",
"export": {
"ext": "txt",
"ports": 1000
},
"password": "xyz789pwd",
"rotation": 60,
"whitelist": "127.0.0.1,192.168.0.1",
"is_rotation_override": false
},
"errors": [],
"status": "success"
}{
"code": 400,
"message": "Bad request",
"customData": null
}{
"error": "Too many requests"
}